Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1892752 - Scheduled job "Create RSS notifications" does not use proxy
Summary: Scheduled job "Create RSS notifications" does not use proxy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Notifications
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: 6.12.0
Assignee: Adam Ruzicka
QA Contact: Ladislav Vasina
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-29 15:16 UTC by Joniel Pasqualetto
Modified: 2022-11-16 13:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-16 13:32:23 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 35015 0 Normal New Scheduled job "Create RSS notifications" does not use proxy 2022-06-03 11:05:16 UTC
Red Hat Issue Tracker SAT-13039 0 None None None 2022-09-20 14:32:58 UTC
Red Hat Product Errata RHSA-2022:8506 0 None None None 2022-11-16 13:32:36 UTC

Description Joniel Pasqualetto 2020-10-29 15:16:10 UTC
Description of problem:

Satellite without direct access to internet is unable to get rss notifications because the job ignores any proxy configurations.

Version-Release number of selected component (if applicable):


How reproducible:  Always

Steps to Reproduce:
1. Configure a default proxy on Satellite
2. Configure http_proxy

~~~
# hammer settings set --name http_proxy --value http://myproxy:3128
~~~
3. Wait for the next execution and monitor the network traffic.
Optionally, run the task manually:

~~~
foreman-rake rss:create_notifications
~~~

Actual results:
Foreman tries to go directly to the URL configured, ignoring proxy.


Expected results:
Foreman should use one of the defined proxies.

Additional info:

Comment 2 Adam Ruzicka 2022-06-03 11:05:15 UTC
Created redmine issue https://projects.theforeman.org/issues/35015 from this bug

Comment 3 Bryan Kearney 2022-06-27 16:02:40 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/35015 has been resolved.

Comment 4 Ladislav Vasina 2022-09-20 14:29:29 UTC
VERIFIED
satellite-6.12.0-3.el8sat.noarch
foreman-3.3.0.8-1.el8sat.noarch
I have followed the steps in Comment0 and while creating RSS notification and I have checked that traffic is truly going through a set proxy as it should.

Comment 8 errata-xmlrpc 2022-11-16 13:32:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.12 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:8506


Note You need to log in before you can comment on or make changes to this bug.